From 4bf7696112af995b110e6f9f6dab21d3ec40077f Mon Sep 17 00:00:00 2001
From: Andrew Dunstan <andrew@dunslane.net>
Date: Sun, 18 Jul 2021 11:29:18 -0400
Subject: [PATCH 1/6] Add -w back to the flags for pg_ctl (re)start in
 PostgresNode

This is now the default for pg_ctl, but having the flag here explicitly
does no harm and helps with backwards compatibility of the PostgresNode
module.
---
 src/test/perl/PostgresNode.pm | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/src/test/perl/PostgresNode.pm b/src/test/perl/PostgresNode.pm
index ed5b4a1c4b..aefb685dae 100644
--- a/src/test/perl/PostgresNode.pm
+++ b/src/test/perl/PostgresNode.pm
@@ -805,7 +805,9 @@ sub start
 
 	# Note: We set the cluster_name here, not in postgresql.conf (in
 	# sub init) so that it does not get copied to standbys.
-	$ret = TestLib::system_log('pg_ctl', '-D', $self->data_dir, '-l',
+	# -w is now the default but having it here does no harm and helps
+	# compatibility with older versions.
+	$ret = TestLib::system_log('pg_ctl', '-w', '-D', $self->data_dir, '-l',
 		$self->logfile, '-o', "--cluster-name=$name", 'start');
 
 	if ($ret != 0)
@@ -919,7 +921,9 @@ sub restart
 
 	print "### Restarting node \"$name\"\n";
 
-	TestLib::system_or_bail('pg_ctl', '-D', $pgdata, '-l', $logfile,
+	# -w is now the default but having it here does no harm and helps
+	# compatibility with older versions.
+	TestLib::system_or_bail('pg_ctl', '-w' '-D', $pgdata, '-l', $logfile,
 		'restart');
 
 	$self->_update_pid(1);
-- 
2.25.4

